package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.salary.ApiSalaryAddRequest;
import com.yd.csf.feign.request.salary.ApiSalaryEditRequest;
import com.yd.csf.feign.request.salary.ApiSalaryPageRequest;
import com.yd.csf.feign.response.salary.ApiSalaryPageResponse;

public interface ApiSalaryService {
    Result<IPage<ApiSalaryPageResponse>> page(ApiSalaryPageRequest request);

    Result add(ApiSalaryAddRequest request);

    Result edit(ApiSalaryEditRequest request);
}
